Subject: Ticket Assigned - Problem returning the request
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Wed, 19 Apr 2023 11:38:40 +0000

Hi Alhamzi Mohammed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Problem returning the request Hello, I was ignored despite my continuous communication with you, and I am very angry and wished that I had not shopped from you. I returned the products because I received them damaged. I asked to return my money or replace the damaged product. I sent an email and they replied that they will return my money. Of course, this is after the delay that also Delivering the shipment to you as it appears in the tracking program, and now the delay in receiving my money, as if all this delay is not enough, and I contacted you, and the employee replied that she will follow up on my problem, and this is what I am still waiting for. What should I do? Do I complain for consumer protection or give up my money

Sent from my iPhone https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/6101147